Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Import a project utilizing a management key.
This endpoint is used to import a project. The argument of files should be the output of the export project endpoint
You can also exclude items from the export when importing by utilizing the flags below within the exclude array.
The entire project:
project
Project specific items:
project.domain
project.trustedDomains
project.tokenResponseMethod
project.selfProvisioning
project.rotateJwt
project.cookiepolicy
project.refreshTokenExpiration
project.stepupTokenExpiration
project.sessionTokenExpiration
project.keySessionTokenExpiration
project.inviteUrl
project.inviteEmail
project.inviteSms
project.inviteMagicLink
project.conformanceJwt
project.inactivity
Auth Methods, Flows, styles, etc:
magicLink
enchantedLink
embeddedLink
otp
totp
sso
oauth
webauthn
password
styles
flows
connectors
authorization
attributes
ssoAppsYou can also import secrets for connectors and OAuth Providers using the inputSecrets argument.
See Also
- See Managing Environments for details about managing environments.
curl -X POST "https://api.descope.com/v1/mgmt/project/import" \ -H "Content-Type: application/json" \ -d '{}'Export Project POST
### Export a project utilizing a management key. This endpoint is used to export a project. The response is the JSON of the project items. ### See Also - See [Managing Environments](/customize/environments/) for details about managing environments.
Clone Project POST
### Clone a project utilizing a management key. This endpoint allows you to clone the current project, including its settings and configurations. _Note: This requires a pro or enterprise tier licenses. Users, tenants and access keys are not cloned._ ### See Also - See [Managing Environments](/customize/environments/) for details about managing environments.